Subject: Re: [dhcwg] 'draft-ietf-v6ops-unique-ipv6-prefix-per-host'

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 15 Sep 2017 19:56:35 +0000

Hi Fred:

My personal view is …

While many of us would have liked to see DHCPv6 PD used in this situation, I think this work is a nice practical solution without requiring new functionality in hosts. It is a deployment document (hence why it is in v6ops) – anyone can do this without requiring anything from the hosts that they don’t already support. That isn’t the case with DHCPv6 PD (most hosts don’t support this).

-          Bernie

From: dhcwg [mailto:[email-masked]] On Behalf Of Templin, Fred L
Sent: Friday, August 25, 2017 11:45 AM
To: Suresh Krishnan <[email-masked]>
Cc: [email-masked]
Subject: Re: [dhcwg] 'draft-ietf-v6ops-unique-ipv6-prefix-per-host'

Hi Suresh,

My intent on posting was to make the dhc community aware that there is a
BCP document in the publication queue that makes statements about DHCPv6.
My point about IA_PD concerns the following draft text:

   o  M-flag = 0 (UE/subscriber address is not managed through DHCPv6),
      this flag may be set to 1 in the future if/when DHCPv6 prefix
      delegation support is desired)

I find the text “may be set to 1 in the future if/when DHCPv6 prefix delegation
support is desired” to sound as if it is casting doubts on whether that future will
ever arrive. Can this WG live with text of this nature going forward in a BCP?

I do not have any specific comments on IA_NA; my area of interest is IA_PD.
But, others in this community may want to have a look.

Thanks - Fred

From: Suresh Krishnan [mailto:[email-masked]]
Sent: Friday, August 25, 2017 6:05 AM
To: Templin, Fred L <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [dhcwg] 'draft-ietf-v6ops-unique-ipv6-prefix-per-host'

Hi Fred,

On Aug 24, 2017, at 1:42 PM, Templin, Fred L <[email-masked]<mailto:[email-masked]>> wrote:

Have people in this community seen the following document that is working
its way through the publication process in the 'v6ops' working group:

https://www.ietf.org/id/draft-ietf-v6ops-unique-ipv6-prefix-per-host-07.txt

It seems to make some very limiting statements about DHCPv6 in a similar
spirit as was done in RFC7934 (the limiting statements apply to both IA_NA
and IA_PD).

There are a couple of references to DHCPv6 in the draft. I do not see any limitation to the use of IA_PD.

There is a recommendation against a IA_NA *only* network that is a straight reference to RFC7934 and nothing additional

"an IA_NA-only network is not recommended per RFC7934<https://tools.ietf.org/html/rfc7934> [RFC7934] section 8<https://tools.ietf.org/html/rfc7934#section-8>"

I have asked for the motivation for the text (See my ballot at https://datatracker.ietf.org/doc/draft-ietf-v6ops-unique-ipv6-prefix-per-host/ballot/#suresh-krishnan)

"however it SHOULD NOT use stateful DHCPv6 to receive a service provider managed IPv6 address”

Is there some specific text you are concerned about?

Thanks
Suresh

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 18 Sep 2017 18:30:22 +0000

Hi Bernie,

I am not opposing this draft going forward, but it is not the same thing as prefix
delegation. The document is about a router advertising a unique prefix per host,
whereas true prefix delegation is from a delegating router to a requesting router.
This is true even if the “requesting router” is an end system, as in:

https://datatracker.ietf.org/doc/draft-templin-v6ops-pdhost/

I think both of these mechanisms will have their respective use cases. Please
have a look at the above document and share your thoughts here.

Thanks - Fred

From: Bernie Volz (volz) [mailto:[email-masked]]
Sent: Friday, September 15, 2017 12:57 PM
To: Templin, Fred L <[email-masked]>; Suresh Krishnan <[email-masked]>
Cc: [email-masked]
Subject: RE: [dhcwg] 'draft-ietf-v6ops-unique-ipv6-prefix-per-host'

Hi Fred:

My personal view is …

-          Bernie

To: Suresh Krishnan <[email-masked]<mailto:[email-masked]>>

Hi Suresh,

Thanks - Fred

Hi Fred,

Thanks
Suresh

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 18 Sep 2017 19:31:17 +0000

Hi Fred:

I did notice your draft and haven’t read it in detail (yet).

I do agree that unique prefix per host and PD are two different things. I agree that both may well have their place.

Again, the unique prefix per host requires nothing of the host (it is a way to operate a network) whereas PD does.

-          Bernie

From: Templin, Fred L [mailto:[email-masked]]
Sent: Monday, September 18, 2017 2:30 PM
To: Bernie Volz (volz) <[email-masked]>; Suresh Krishnan <[email-masked]>
Cc: [email-masked]
Subject: RE: [dhcwg] 'draft-ietf-v6ops-unique-ipv6-prefix-per-host'

Hi Bernie,

Thanks - Fred

To: Templin, Fred L <[email-masked]<mailto:[email-masked]>>; Suresh Krishnan <[email-masked]<mailto:[email-masked]>>

Hi Fred:

My personal view is …

-          Bernie

Hi Suresh,

Thanks - Fred

Hi Fred,

Thanks
Suresh